I'm trying to upgrade from 3.2 SP2 to 4.0 SP1. I get a good part of the
way through the upgrade on my admin console, and then get the following
error message -

Upgrading SAML Assertion settings to 4.0.1

Updating SAML Assertion settings...

Changing Auth SAML settings for the idp cluster : ProdIDP
for the user store : ProdLDAP
for the replica : ***.***.***.***
Exception in thread "main" java.lang.NoClassDefFoundError:
at com.novell.nidp.common.util.PasswordMush.mushToCle ar(y:2079)
at com.volera.vcdn.application.sc.core.InstallManager .D(y:3274)
com.volera.vcdn.application.sc.core.InstallManager .updateAuthSAMLProviderId(y:2078)
at DatastoreManager.upgrade(DatastoreManager.java:139 7)
at DatastoreManager.main(DatastoreManager.java:1507)
Caused by: java.lang.ClassNotFoundException:
org.apache.xml.security.exceptions.Base64DecodingE xception
at java.net.URLClassLoader$1.run(URLClassLoader.java: 366)
at java.net.URLClassLoader$1.run(URLClassLoader.java: 355)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(URLClassLoader.j ava:354)
at java.lang.ClassLoader.loadClass(ClassLoader.java:4 24)
at sun.misc.Launcher$AppClassLoader.loadClass(Launche r.java:308)
at java.lang.ClassLoader.loadClass(ClassLoader.java:3 57)
... 5 more

I've tried upgrading from 3.2 SP2 to 4.0 first and then continuing on to
4.0 SP1, but I end up with the same error message.

This just the admin console piece running on SLES 11 SP2.

Has anyone else seen this? Any help would be appreciated.


smithstm's Profile: https://forums.netiq.com/member.php?userid=2389
View this thread: https://forums.netiq.com/showthread.php?t=51129